[21.10 FEAT] RoCE: Predictable Interface Names - systemd part

Bug #1929184 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
systemd (Ubuntu)
Fix Released
Undecided
Canonical Foundations Team

Bug Description

Feature Description:
- Interface names for RoCE Express adapters are currently very hard to predict, causing problems with the installer which requires knowledge of the interface name
- Interface names can change between re-boots, invalidating any previously stored network card configuration
To fix this requires changes in the Linux kernel to indicate whether UIDs are unique (and therefore usable), and in systemd to generate an interface name based on UIDs all the time.

Business Case:
Increase usability, lower service efforts.

The code is in the upstream repository and should eventually be contained in the upcoming systemd release 249

a496a23 udev: fix slot based network names on s390
b08c3fb udev: add missing initialization to fix freeing invalid address
5a7eb46 udev: allow onboard index up to 65535

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-192842 severity-high targetmilestone-inin2110
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → systemd (Ubuntu)
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
importance: Undecided → High
status: New → Triaged
Changed in systemd (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
Steve Langasek (vorlon)
tags: added: fr-1411
Revision history for this message
Frank Heimes (fheimes) wrote :

It's now highly likely that these commits will not be integrated into the systemd version 248 of Impish/21.10, since the patches are more extensive then initially thought.
I hope this will not have any implications on the fact that LP#1929185 - "[21.10 FEAT] RoCE: Predictable Interface Names (kernel)" will be part of the Impish/21.10 kernel (since the kernel part is upstream with 5.13 anyway). If so, please let us know.

Revision history for this message
Frank Heimes (fheimes) wrote :

After all it's possible and without causing bigger headaches to have the kernel adjustments in, but not the related systemd patches.

But in such a case some explanatory words are recommended like:
"Interface names for RoCE Express adapters (shared memory communication) change to eno<UID> for UIDs <= 16K, provided unique UIDs are enabled."

This can then be added to the 21.10 release notes.

For 22.04 - which presumably has a systemd version of >= 249 - this would finally apply for all UIDs.

Lukas Märdian (slyon)
information type: Private → Public
Changed in systemd (Ubuntu):
status: New → In Progress
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-08-17 06:07 EDT-------
This feature (systemd part) will not be integrated in 21.10 (see comment #6 and#7), therefore moving to U22.04.
Canonical will add a release note to reflect changes and limitations due to the fact, that only the kernel part of this feature will make it into 21.10.

Changing Target Milestone: 21.10 -> 22.04

tags: added: targetmilestone-inin2204
removed: targetmilestone-inin2110
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
no longer affects: ubuntu-release-notes
Revision history for this message
Frank Heimes (fheimes) wrote :

The modified version already landed in -proposed.
Hence updating the status to Fix Committed.

Changed in systemd (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-08-19 06:35 EDT-------
Despite the initial concern because of the amount of fixes, Canonical managed to get this feature (systemd part) into Impish 21.10.
This way, we will have the full functionality of this feature and don't have to add a release note regarding limitations.
Therefore, changing Target Milestone back from 22.04 -> 21.10

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2204
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 248.3-1ubuntu7

---------------
systemd (248.3-1ubuntu7) impish; urgency=medium

  * d/tests/tests-in-lxd: suppress the cgroups v2 warning on stderr from
    lxd/lxc even more comprehensively until the snapd change required to
    do it nicely gets into a release.

 -- Michael Hudson-Doyle <email address hidden> Wed, 01 Sep 2021 19:21:58 +1200

Changed in systemd (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-10-25 05:40 EDT-------
Fix landed in impish, hence closing the bug.
IBM BZ status change:->CLOSED

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers